View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
14248Feature requestsTheme editorpublic2021-08-03 15:03
ReporterDenisChenu Assigned Togalads  
PrioritynoneSeverityfeature 
Status acknowledgedResolutionopen 
Summary14248: Allow survey theme to add (and use) question attribute
DescriptionA easy way to have specific question view is usage of Class.

For example : we can currently add hidden in Class name.

Survey template can offer some class, and it's great if this class can be used more easily in Question settings
Additional InformationSee https://github.com/LimeSurvey/LimeSurvey/commit/8053d05756fed9b6c16641cb8d5f98ab55fc3724 and https://github.com/LimeSurvey/LimeSurvey/pull/1163

I currently dropped "No more table" attribute because theme.css need update too , but see picture in https://bugs.limesurvey.org/view.php?id=14156 done on same survey …

Having this attribute related to template really fix whole and can be great.

I think to of "Show with importance" for example : checkbox where the question is bigger than other etc …

And more : with an attribute : survey theme can make a lot more without touching of answers.twig.
TagsNo tags attached.
Bug heat2

Relationships

related to 14156 new Feature requests Need a way to easily disable table to block for particular questions 
related to 15224 closedp_teichmann Bug reports newQuestionAttributes deprecated : need a replacer 
related to 14723 assignedcdorin Development  Global attribute or question dependance 
related to 17169 closedc_schmitz Bug reports QuestionAttribute::model()->findByAttributes() only returns DB values which does NOT include default values 
related to 17489 reviewgabrieljenik Bug reports No question relevance field for array-by-column question type 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2018-11-13 18:48

developer   ~49636

Another idea : column of question : with a template where group are row and question wrapper inside a col-sm-x : you can show 3 question inline with col-sm-4

Etc etc etc …

Issue History

Date Modified Username Field Change
2018-11-13 18:45 DenisChenu New Issue
2018-11-13 18:48 DenisChenu Note Added: 49636
2018-11-13 18:53 DenisChenu Relationship added related to 14156
2019-10-22 15:03 DenisChenu Relationship added related to 14723
2019-10-22 16:04 DenisChenu Relationship added related to 15224
2021-03-10 07:58 DenisChenu Relationship added related to 17169
2021-08-02 15:01 DenisChenu Relationship added related to 17489
2021-08-03 15:03 galads Assigned To => galads
2021-08-03 15:03 galads Status new => acknowledged